Issue 120286

Summary: product version should be changed from 3.4 to 3.4.1
Product: Installation Reporter: louqle <louqingle>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: arielch, jsc, phoenix.wanglf
Version: 3.4.0Flags: jsc: 3.4.1_release_blocker+
Target Milestone: 3.4.1   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description louqle 2012-07-16 02:41:07 UTC
r1359641 build

Windows:
on install panels the product version is still 3.4 but not 3.4.1.

The shortcuts on desktop and start menu remain 3.4

DEB:
version in the desktop-integration package name is 3.4
Comment 1 jsc 2012-07-17 09:20:30 UTC
as far as I remember we have never included the micro version number in desktop shortcuts etc.

I will check the install panels.
Comment 2 Olaf Felka 2012-07-17 09:36:24 UTC
(In reply to comment #1)
> as far as I remember we have never included the micro version number in
> desktop shortcuts etc.
I think you are right.
Comment 3 Ariel Constenla-Haile 2012-07-17 13:37:00 UTC
(In reply to comment #0)
> DEB:
> version in the desktop-integration package name is 3.4

The desktop integration package has allays been the same for the whole minor series, just like the SDK: there are no micro releases, the same package should work with 3.4.0, 3.4.1, 3.4.2, and so on.
Comment 4 jsc 2012-07-17 15:19:03 UTC
I have tired to set PRODUCTVERSION in instsetoo_native/util/openoffice.lst to "3.4.1". I haven't done this before because I was not sure where it used exactly what consequence this might have. A first quick test looks good but the system integration (e.g. start menu entries) will change to 3.4.1. I have to run some more tests on my own to see how upgrade installation work etc.

Maybe somebody else can try it as well. I will make a test version available later which is signed as well. IF somebody want to test this also I can provide the certificate to make it known on any test machine.
Comment 5 jsc 2012-07-17 15:20:30 UTC
But I am not sure about the change at all. I think we didn't do that before.
Comment 6 jsc 2012-07-17 15:39:47 UTC
for volunteers who want to test it

Full install set under:
http://people.apache.org/~jsc/signing_test/Apache_OpenOffice_incubating_3.4.1_Win_x86_install_en-US.exe

Looking for feedback
Comment 7 louqle 2012-07-20 03:46:54 UTC
(In reply to comment #6)
> for volunteers who want to test it
> 
> Full install set under:
> http://people.apache.org/~jsc/signing_test/Apache_OpenOffice_incubating_3.4.
> 1_Win_x86_install_en-US.exe
> 
> Looking for feedback

I test on Win7 and it works perfectly.

All versions in installer panels,
Version in desktop shortcut
version in start menu
Version in Startup quickstarter
Version in help->about
Version in dialog help->Check for update(the string now is openoffice 3.4.1 is up to date).

are all "3.4.1".
Comment 8 louqle 2012-07-20 05:37:37 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > for volunteers who want to test it
> > 
> > Full install set under:
> > http://people.apache.org/~jsc/signing_test/Apache_OpenOffice_incubating_3.4.
> > 1_Win_x86_install_en-US.exe
> > 
> > Looking for feedback
> 
> I test on Win7 and it works perfectly.
> 
> All versions in installer panels,
> Version in desktop shortcut
> version in start menu
> Version in Startup quickstarter
> Version in help->about
> Version in dialog help->Check for update(the string now is openoffice 3.4.1
> is up to date).
> 
> are all "3.4.1".

clean install and upgrade from 3.4

both work
Comment 9 SVN Robot 2012-07-20 16:28:18 UTC
"jsc" committed SVN revision 1363864 into branches/AOO34:
#120286# change version number to reflect micro version everywhere
Comment 10 jsc 2012-07-20 16:29:26 UTC
change the product version number to reflect micro version everywhere
Comment 11 Li Feng Wang 2012-07-25 07:06:14 UTC
Verify pass on AOO branch r1364591.

All versions in installer panels,
Version in desktop shortcut
version in start menu
Version in Startup quickstarter
Version in help->about
Version in dialog help->Check for update(the string now is openoffice 3.4.1).
Comment 12 jsc 2012-07-25 09:27:32 UTC
set target milestone AOO 3.4.1